<div class="busqueda">
  <div class="head-busqueda">
    <p>Parámetros de búsqueda</p>
  </div>
  <form (ngSubmit)="searchByFilter()">
  <div class="form-row p-3">
    <div class="col-3 relative">
      <label for="">Tipo de asunto:</label>
      <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100" [options]="tipoAsuntoArray"
      [(ngModel)]="filter.tipoAsunto" optionLabel="nombre" [filter]="true" filterBy="nombre"
        [showClear]="true" optionValue="nombre" name="tipo" placeholder="Escriba o seleccione el tipo de asunto">
      </p-dropdown>
    </div>
    <div class="col-3">
      <label for="">Número de expediente:</label>
      <input type="text" name="exp" class="form-control" placeholder="Ingrese el número de expediente" [(ngModel)]="filter.numExpediente" name="numExp"
        autocomplete="off" id="numExp" (input)="validCamp('num')">
      <p class="not-valid" *ngIf="!valid[1]">No es un número de expediente válido.</p>
      <i *ngIf="filter.numExpediente" class="pi pi-times clear-autocomplete" (click)="filter.numExpediente = ''; valid[1] = true"></i>
    </div>
    <div class="col-3 relative">
      <label for="">Ponente:</label>
      <p-dropdown emptyFilterMessage="Sin resultados" styleClass="w-100" [options]="arrayPonente"
      [(ngModel)]="filter.ponente" optionLabel="nombre" [filter]="true" filterBy="nombre"
        [showClear]="true" optionValue="nombre"name="ponente" placeholder="Escriba o seleccione el ponente">
      </p-dropdown>
    </div>
    <div class="col-3 relative">
      <label for="">Fecha de resolución:</label><br />
      <p-calendar [showIcon]="true" name="resol" placeholder="Ingrese la fecha de resolución" [yearNavigator]="true" [monthNavigator]="true"
        yearRange="1800:2030" dataType="string" dateFormat="dd-mm-yy"
        [(ngModel)]="filter.fecha" styleClass="w-100"></p-calendar>
        <i *ngIf="filter.fecha" class="pi pi-times clear-autocomplete" (click)="filter.fecha = ''"></i>
    </div>
    <div class="col-12">
      <div class="d-flex justify-content-between">
        <div class="d-blok">
          <div class="d-flex flex-row justify-content-center align-items-center" *ngIf="isFilter">
            <p class="mr-2">Se encontraron ({{sentencias.totalElements}}) resultado(s)</p>
            <p-button icon="pi pi-replay" styleClass="p-button-sm" (onClick)="clearFilter()"></p-button>
          </div>
          <div class="d-flex flex-row justify-content-center align-items-center" *ngIf="!isFilter">
            <span *ngIf="sentencias.content.length == 0">0 resultado(s)</span>
            <p *ngIf="sentencias.content.length > 0" class="mr-2">{{(sentencias.number*sentencias.size)+1}} a {{calculateSizePage()}} de {{sentencias.totalElements}} resultado(s)</p>
          </div>
        </div>
        <p-button label="Buscar" type="submit" icon="pi pi-search" styleClass="p-button-sm"
          [disabled]="!filter.numExpediente.trim() && !filter.tipoAsunto && !filter.ponente && !filter.fecha"></p-button>
      </div>
    </div>
  </div>
</form>
</div>
<div class="d-flex justify-content-end align-items-center pb-3">
  <div class="p-1">

  </div>
  <div class="d-flex justify-content-center align-items-center">
    <span class="mr-2">Mostrar: </span>
    <p-dropdown [options]="[{size:10},{size:20},{size:30},{size:50},{size:100}]" optionLabel="size" optionValue="size" [(ngModel)]="size"
      (onChange)="onChangeSize($event)"></p-dropdown>
  </div>

</div>
<p-table [value]="sentencias.content" [scrollable]="true" scrollHeight="400px" scrollDirection="both">
  <ng-template pTemplate="header">
    <tr>
      <th style="width:200px">Tipo de asunto</th>
      <th style="width:200px">Número de expediente</th>
      <th style="width:200px">Órgano de radiación</th>
      <th style="width:200px">Ponente</th>
      <th style="width:200px">Fecha de resolución</th>
      <th  style="width:200px">Registro</th>
      <th style="width:100px;"></th>
    </tr>
  </ng-template>
  <ng-template pTemplate="body" let-sentencia>
    <tr>
      <td style="width:200px">
        <p class="short-text" [title]="sentencia.tipoAsunto">{{sentencia.tipoAsunto}}</p>
      </td>
      <td style="width:200px;" class="text-center">{{sentencia.numeroExpediente}}</td>
      <td style="width:200px" class="text-center">{{sentencia.organoRadicacion}}</td>
      <td style="width:200px" class="text-center short-text" [title]="sentencia.ponente">{{sentencia.ponente?sentencia.ponente:"---"}}</td>
      <td style="width:200px" class="text-center">{{sentencia.fechaResolucion}}</td>
      <!-- <td style="width:200px">--</td> -->
      <td style="width:200px;" class="text-center px-5">
        <div>
          {{ sentencia.porcentajeCaptura }}%
        </div>
        <div class="percent" [style.width]="sentencia.porcentajeCaptura+'%'" [ngClass]="{
          'incomplet': sentencia.porcentajeCaptura >= 50 && sentencia.porcentajeCaptura <= 79.99,
          'complet': sentencia.porcentajeCaptura >= 80 && sentencia.porcentajeCaptura <= 100,
          'insuficient': sentencia.porcentajeCaptura >= 0 && sentencia.porcentajeCaptura <= 49.99
        }"></div>
      </td>
      <td style="width:100px">
        <div class="d-flex align-items-center justify-content-center" style="gap: 10px">
          <a [routerLink]="[sentencia.id]"><i class="pi pi-pencil"></i></a>
          <a [routerLink]="[sentencia.id]" [queryParams]="{ visualizar: true }"><i class="pi pi-eye"></i></a>
        </div>
      </td>
    </tr>
  </ng-template>
</p-table>
<div class="d-flex justify-content-center align-items-center">
  <ngb-pagination (pageChange)="onChangePage($event)" [collectionSize]="sentencias.totalElements" [boundaryLinks]="true" [pageSize]="size"
    [maxSize]="4" [page]="sentencias.number + 1">
  </ngb-pagination>
</div>

<p-confirmPopup></p-confirmPopup>
<p-toast position="bottom-right" key="ks"></p-toast>
